SELECT TT01."FOLNUMFROMOINV", TT01."FOLNUMTOOINV", TT01."DOCSUBTYPEOINV", TT01."FOLNUMFROMORIN", TT01."FOLNUMTOORIN", TT01."FOLNUMFROMODPI", TT01."FOLNUMTOODPI", 
    TT01."AFILIACION" AS "AFILIACION", TT01."CODIGO" AS "CODIGO", TT01."NOMBRE" AS "NOMBRE", TT01."SUCURSAL" AS "SUCURSAL", 
    TT01."DOCCUR" AS "DOCCUR", TT01."FECHACONT" AS "FECHACONT", TT01."FECHAVENC" AS "FECHAVENC", TT01."COMENTARIOS" AS "COMENTARIOS", 
    TT01."MOVSAP" AS "MOVSAP", TT01."DOCUMENTO" AS "DOCUMENTO", 
    CASE TT01."DOCCUR"
        WHEN '$' THEN TT01."SALDOMXP"
        ELSE 0 
    END AS "TOTALSystem", 
    CASE TT01."DOCCUR"
        WHEN 'USD' THEN TT01."SALDOUSD"
        ELSE 0 
    END AS "TOTALFC", TT01."SALDOMXP" AS "SALDOMXP", TT01."TRANSTYPEDESC" AS "TransTypeDesc", TT01."TRANSTYPENUM" AS "TransTypeNum", (
    CASE 
        WHEN (TT01."DOCCUR" = '$' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) < 0) THEN TT01."SALDOMXP"
        WHEN (TT01."DOCCUR" = 'USD' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) < 0) THEN TT01."SALDOUSD"
        ELSE 0 
    END) AS "NOVENCIDO", 
    CASE 
        WHEN (TT01."DOCCUR" = '$' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) >= 0 AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) <= 30) THEN (TT01."SALDOMXP") 
        WHEN (TT01."DOCCUR" = 'USD' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) >= 0 AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) <= 30) THEN (TT01."SALDOUSD") 
        ELSE 0 
    END AS "VENCIDO1A30", 
    CASE 
        WHEN (TT01."DOCCUR" = '$' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) >= 31 AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) <= 60) THEN (TT01."SALDOMXP") 
        WHEN (TT01."DOCCUR" = 'USD' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) >= 31 AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) <= 60) THEN (TT01."SALDOUSD") 
        ELSE 0 
    END AS "VENCIDO31A60", 
    CASE 
        WHEN (TT01."DOCCUR" = '$' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) >= 61 AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) <= 90) THEN (TT01."SALDOMXP") 
        WHEN (TT01."DOCCUR" = 'USD' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) >= 61 AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) <= 90) THEN (TT01."SALDOUSD") 
        ELSE 0 
    END AS "VENCIDO61A90", 
    CASE 
        WHEN (TT01."DOCCUR" = '$' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) >= 91 AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) <= 120) THEN (TT01."SALDOMXP") 
        WHEN (TT01."DOCCUR" = 'USD' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) >= 91 AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) <= 120) THEN (TT01."SALDOUSD") 
        ELSE 0 
    END AS "VENCIDO91A120", 
    CASE 
        WHEN (TT01."DOCCUR" = '$' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) > 121) THEN (TT01."SALDOMXP") 
        WHEN (TT01."DOCCUR" = 'USD' AND DAYS_BETWEEN(TT01."FECHAVENC", CAST('/*DateToFilter*/' AS timestamp)) > 121) THEN (TT01."SALDOUSD") 
        ELSE 0 
    END AS "VENCIDOMAS121" 
FROM "{0}".TEMP_DUMMY_AGINGREPORT AS TT01 
ORDER BY TT01."CODIGO", TT01."FECHACONT", TT01."FECHAVENC"